Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1933818 - CVE-2020-11988 eclipse: xmlgraphics-commons: SSRF due to improper input validation by the XMPParser [fedora-all]
Summary: CVE-2020-11988 eclipse: xmlgraphics-commons: SSRF due to improper input valid...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse
Version: 33
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Mat Booth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-01 19:07 UTC by Guilherme de Almeida Suckevicz
Modified: 2021-04-01 01:50 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-28 00:15:05 UTC
Type: ---


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2021-03-01 19:07:29 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Guilherme de Almeida Suckevicz 2021-03-01 19:07:32 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1933816,1933818

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Jie Kang 2021-03-01 20:11:10 UTC
I made a PR for this here:

https://src.fedoraproject.org/rpms/xmlgraphics-commons/pull-request/1

Mat, if you want to do a quick eyeball, I can push the changes to rawhide, 34, and 33.

Comment 3 Fedora Update System 2021-03-23 11:44:22 UTC
FEDORA-2021-aa2936e810 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-aa2936e810

Comment 4 Alexander Kurtakov 2021-03-23 11:52:14 UTC
Thanks Jie, pushed and built now.

Comment 5 Fedora Update System 2021-03-23 11:53:51 UTC
FEDORA-2021-c07a9e79cf has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-c07a9e79cf

Comment 6 Alexander Kurtakov 2021-03-23 11:55:09 UTC
Jie, in the future just push such changed without waiting!

Comment 7 Jie Kang 2021-03-23 13:08:30 UTC
Thanks Alex. Okay, I will push in the future to the repositories I have access to :D

Comment 8 Fedora Admin user for bugzilla script actions 2021-03-24 00:20:59 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 9 Fedora Update System 2021-03-24 02:44:24 UTC
FEDORA-2021-aa2936e810 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-aa2936e810`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-aa2936e810

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-03-24 02:56:22 UTC
FEDORA-2021-c07a9e79cf has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-c07a9e79cf`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-c07a9e79cf

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2021-03-28 00:15:05 UTC
FEDORA-2021-aa2936e810 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2021-04-01 01:50:15 UTC
FEDORA-2021-c07a9e79cf has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.